Skip to content

GET supported resources type.

GET
/api/scim/namespaces/system/v2/ResourceTypes/{id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/ResourceTypes/example \
--header 'Authorization: <Authorization>'

Getresourcetypesbyid CustomPublicAPI.

Examples of this operation.

id
required
string

ID x-required ID with which the request will find entry.

excludedAttributes
Array<string>

Members”]” A multi-valued list of strings indicating the names of resource attributes to be removed from the default set of attributes to return.

A successful response.

Media typeapplication/json
Resource

Resource

object
endpoint
endpoint

[ ] [x-required] endpoint for the resource..

string
<= 1024 characters
id
Id

[ ] [x-required] ID of the resource.

string
>= 1 <= 4094 <= 1024 characters
meta
object
location
location

Location of resource. Required: YES.

string
>= 4 characters <= 1024 characters
resourceType
resourceType

ResourceType represents resource. Required: YES.

string
<= 1024 characters
name
name

[ ] [x-required] name of the resource.

string
>= 6 characters <= 1024 characters
schema
schema

[x-example: “urn:ietf:params:scim:schemas:core:2.0:ResourceType] [x-required] Schema defined in scim spec..

string
<= 1024 characters
schemas
schemas

[ ] [x-required] schemas defined in scim spec.

Array<string>
Examplegenerated
{
"endpoint": "example",
"id": "example",
"meta": {
"location": "example",
"resourceType": "example"
},
"name": "example",
"schema": "example",
"schemas": [
"example"
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example